%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function a = attOpticalMass(offset, scale, beta, theta_s)
%  Computes attenuation due to optical mass of the atmosphere at a sun
%  zenith angle. 
% 
% Input parameters: 
%  - theta_s: sun zenith angle
% 
% Output parameters: 
%  - a: attenuation due to the optical mass
%  
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function a = attOpticalMass(offset, scale, beta, theta_s)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2006-2011 Jean-Francois Lalonde
% Carnegie Mellon University
% Do not distribute
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

a = offset + scale.*exp(-beta.*opticalMass(theta_s));
